Summary:	Christine - A new GStreamer based media player
Name: 		christine
Version: 	0.7.0
Release: 	%mkrel 1
License:	GPL
Group:		Sound
URL:		http://www.christine-project.org/html/index.php
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	GConf2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gstreamer0.10-python-devel
BuildRequires:	gtk2-devel >= 2.10
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	gnome-python-devel
BuildRequires:	gnome-python-extras
BuildRequires:	gstreamer0.10-python-devel
BuildRequires:	readline-devel
BuildRequires:	termcap
BuildRequires:	desktop-file-utils
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: gstreamer0.10-python
Requires: glib2
Requires: pygtk2.0 >= 2.10
Requires: gnome-python
Requires: python-dbus
Requires: mutagen
Requires: python-notify
Requires: libreadline5
Requires: termcap
Requires: gnome-settings-daemon
Requires: GConf2
Requires: python >= 2.6.6
Obsoletes:  	%name < %version

%description
This is Christine a new Python, GTK+, GStreamer based media player.
Is intended to be beautiful, useful and fat free.
Christine lets you play your audio and video files in the same
application in a very easy way. As christine is intended to 
be small, and cute we currently had no support for internet
radio station, but we will in the future.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
make
	
%install
rm -rf %{buildroot}
%makeinstall_std

# menu and icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 gui/pixmaps/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 gui/pixmaps/logo.png %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 0644 gui/pixmaps/logo.png %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
install -m 0644 gui/pixmaps/logo.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


sed -i -e 's|/usr/share/christine/gui/pixmaps/logo.png|%{name}.png|g' %{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="Player"   \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS THANKS TODO
%{_bindir}/%{name}
%dir %{py_sitedir}/lib%{name}
%{py_sitedir}/lib%{name}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/gui
%{_datadir}/%{name}/gui/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%{_datadir}/christine/icons/hicolor/scalable/actions/repeat.svg
%{_datadir}/christine/icons/hicolor/scalable/actions/sort.svg
%{_datadir}/christine/icons/hicolor/scalable/actions/urepeat.svg
%{_datadir}/christine/icons/hicolor/scalable/actions/usort.svg
%{_datadir}/christine/icons/hicolor/scalable/apps/christine.svg
%{_datadir}/christine/icons/hicolor/scalable/mimetypes/christine-sound.svg
%{_datadir}/christine/icons/hicolor/scalable/mimetypes/christine-video.svg

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.7.0-1pclos2010
- 0.7.0

* Fri Mar 19 2010 Texstar <texstar at gmail.com> 0.4.0-4pclos2010
- add missing dependencies

* Thu Mar 18 2010 slick50 <lxgator@gmail.com> 0.4.0-3pclos2009
- rebuild

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.4.0-2pclos2010
- update

* Mon Jun 15 2009 slick50 <lxgator@gmail.com> 0.4.0-1-1pclos2009
- new version

* Wed May 20 2009 don_crissti <don_crissti@gmx.com> 0.3.1-1pclos2009
- new version
- drop patch

* Sun Aug 10 2008 Slick50 <slick50@linuxgator.org> 0.1.6-1pclos2007
- Initial build 

